Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 180101 - Nvidia 6100/6150 is not supported
Summary: Nvidia 6100/6150 is not supported
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-05 19:54 UTC by jedynamic
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-09 19:07:22 UTC


Attachments (Terms of Use)
xorg.conf with nv driver (deleted)
2006-02-05 19:55 UTC, jedynamic
no flags Details
Xorg.0.log startup using nv (deleted)
2006-02-05 19:55 UTC, jedynamic
no flags Details

Description jedynamic 2006-02-05 19:54:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
The Nvidia 6100/6150 is not supported by this version.  
Additionally, system-config-display --reconfig does not detect my card. 
However, I can probably assume that if the nv driver doesn't support it then system-config-display won't work. 


Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-1.0.1.5-1

How reproducible:
Always

Steps to Reproduce:
1.Set xorg driver as nv.
2.startx
3.
  

Actual Results:  X fails to start.  I had to revert back the vesa driver.

Expected Results:  X should have started.

Additional info:

I am including the xorg.conf, Xorg.log files.

FYI - The upstream xorg nv driver dated 1-23-06 supports the Nvidia 6150/6100. 
I verified this by patching the source manually (I noticed the updated ids for the 6100/6150).  
Will the nv driver get updated before the Fedora Core 5 release?

Comment 1 jedynamic 2006-02-05 19:55:20 UTC
Created attachment 124222 [details]
xorg.conf with nv driver

Comment 2 jedynamic 2006-02-05 19:55:55 UTC
Created attachment 124223 [details]
Xorg.0.log startup using nv

Comment 3 Mike A. Harris 2006-02-05 21:18:53 UTC
(In reply to comment #0)
> FYI - The upstream xorg nv driver dated 1-23-06 supports the Nvidia 6150/6100. 
> I verified this by patching the source manually (I noticed the updated ids for
the 6100/6150).  
> Will the nv driver get updated before the Fedora Core 5 release?

Yeah, we'll probably update to the latest nv driver soon.  There is some other
problem with kudzu or something preventing PCI ID detection and driver
assignment to work right also.

Thanks for the report.

Comment 4 Mike A. Harris 2006-02-09 19:07:22 UTC
I've updated the nv driver to the current CVS snapshot, which includes
support for new chips, and RandR rotate support.

1.0.1.5-3


Note You need to log in before you can comment on or make changes to this bug.